/*page set up*/
@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/*Reset*/
*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

input,
button,
textarea {
  font: inherit;
}
img {
  width: 100%;
  height: 100%;
  position: static;
  display: block;
  image-rendering: -moz-crisp-edges; /* Firefox */
  image-rendering: -o-crisp-edges; /* Opera */
  image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming) */
  image-rendering: crisp-edges;
  -ms-interpolation-mode: nearest-neighbor; /* IE (non-standard property) */
  border-radius: 5px;
  object-fit: fill;
}

img {
  max-width: 100%;
}

/*Varables*/
:root {
  font-family: "Montserrat", sans-serif;
  font-size: clamp(1rem, 2.2vh, 1.5rem);
}

/* Utility classes*/
.nowrap {
  white-space: nowrap;
}

html {
  scroll-behavior: smooth;
  background-color: #faf9f6;
  background-image: url(none);
  background-attachment: fixed;
}

.center {
  text-align: center;
}

body {
  font: 1.5rem "Montserrat", sans-serif;
  margin: 0 auto;
  min-height: 100vh;
  max-width: 100%;
}

section div {
  margin: 30px 0;
}

/*font*/
title,
h1,
h2,
h3 {
  text-align: left;
  margin: 1.5em 0;
}

h1 {
  font-size: 1.2em;
  color: #13020f;
}

h2 {
  font-size: 0.9em;
  color: #1d1a1c;
  font-weight: 500;
}

h3 {
  font-size: 0.6em;
  color: #9b0d78;
  margin-bottom: 0.5em;
  font-weight: 380;
}

p {
  line-height: 1.5;
  color: #2d2c2b;
  font-size: 16pt;
  padding: 10px 0;
}

q {
  font-style: italic;
  font-size: 0.6em;
  font-weight: 200;
}

li {
  margin-left: 40px;
  font-size: 16pt;
}

ul {
  list-style-type: circle;
}

ul,
ol {
  line-height: 2;
}

.top {
  font-size: 16px;
  text-align: center;
  margin: 2rem;
}

.insights li {
  font-weight: 500;
}
.insights li::marker {
  color: #9b0d78;
  font-size: 1.5em;
}

.indent {
  padding-left: 40px;
  margin-top: 0;
}
.tags li {
  font-size: 14pt;
  font-weight: 300;
  list-style: none;
  line-height: 1.5;
  width: 350px;
  margin-left: 0;
  padding: 0;
}

.next {
  max-width: 400px;
  margin: 0 auto;
}

.next figcaption {
  font-size: 16px;
  text-align: center;
  margin: 2rem;
}

a:any-link {
  color: #400fa9;
  text-decoration: none;
  font-weight: 500;
}

a:visited {
  color: black;
  text-decoration: none;
}

a:hover,
a:focus-visible {
  color: #5f0047;
  text-decoration: underline;
}

b {
  color: #9b0d78;
}

.challenge {
  color: #13020f;
  font-weight: 200;
  font-size: 0.8em;
  width: auto;
}

blockquote {
  font-weight: 600;
  font-size: 1em;
  margin-left: auto;
  margin-right: auto;
  line-height: 1.5;
  width: auto;
}

figcaption {
  font-size: 16px;
  text-align: center;
  margin: 1rem;
}

/*Header*/
header {
  position: sticky;
  top: 0;
  z-index: 1;
  border-bottom: 1px solid #5a5951;
  background-color: #faf9f6;
  overflow: hidden;
  width: auto;
}

.header_nav {
  font-weight: bold;
  padding: 0.3em 2.5%;
}

.header a {
  float: left;
  display: inline;
  text-align: center;
  padding: 5px 8px;
}

.header_ul {
  float: right;
}

/*Hero*/
.hero {
  position: relative;
  padding: 0.2em 0;
  width: 500;
  margin: 2rem 0;
}

.hero div {
  width: auto;
  margin: 0 auto;
  padding: 2rem;
}

/*Footer*/
.footer {
  position: sticky;
  bottom: 0;
  background-color: #faf9f6;
  padding: 0.25em 1.5%;
}

.footer p {
  font-size: 9pt;
  padding: 0;
  text-align: center;
}

/*Main*/

.main {
  padding: 0.25em 0;
}

.main_article {
  scroll-margin-top: 6.5rem;
  margin: 1em;
}

.main_article:first-child {
  margin-top: 1em;
}

.main_article:last-child {
  min-height: calc(100vh-20rem);
}

.goals {
  display: flex;
  width: auto;
  align-items: center;
  align-content: center;
  gap: 3px 64px;
  flex-wrap: wrap;
}

.goals img {
  max-width: 128px;
}
.goals p {
  width: 250px;
}

.ux {
  margin: 5rem 0;
}

.cases {
  display: grid;
  grid-template-columns: 1, 1fr;
  grid-gap: 1rem;
  margin: 3rem 0;
  text-align: left;
}

.sec {
  display: flex;
  flex-flow: column;
}

.sec h3,
li,
ul {
  text-align: left;
}

.Impact li {
  padding: 0 5px;
  margin: 5px;
  font-size: 16pt;
  line-height: 1.5;
  list-style: circle;
}

.des section,
.des div {
  margin: 5px 0;
  padding: 5px 0;
}
/*media screens*/
@media screen and (min-width: 576px) {
  /*Hero*/
}

/*media screen mobile landscape*/
@media only screen and (max-height: 400px) and (min-aspect-ratio: 7/4) {
}

/*for tablets*/
@media screen and (min-width: 768px) {
  .cases {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 2, 1fr;
    grid-gap: 2rem;
  }

  .tags li {
    font-size: 14pt;
    font-weight: 300;
    list-style: none;
    line-height: 1.5;
    width: 230px;
    margin-left: 0;
  }

  .next {
    max-width: fit-content;
    margin: 0 auto;
    display: grid;
    grid-auto-flow: column;
    gap: 1em;
    align-items: start;
  }
}

/*for desktop*/
@media screen and (min-width: 992px) {
  body {
    width: 100%;
  }

  p {
    text-align: left;
  }

  /*page set up*/

  .homepage {
    max-width: 1280px;
    margin: auto;
  }

  .overview {
    padding: 0.5em 0;
    margin: 20px 0;
  }

  .overview div {
    margin: 0 auto;
    margin: 5px auto;
  }

  .overview div:nth-child(1) {
    width: 730px;
  }

  .overview div:nth-child(2) {
    width: 730px;
  }

  .proj {
    padding: 0.5em 0;
    margin: 20px auto;
    text-align: left;
    max-width: 950px;
  }

  .sp1 {
    width: auto;
    height: auto;
    object-fit: fill;
  }
  .ux {
    padding: 0.5em 0;
    margin: 20px 0;
  }

  .ux div {
    margin: 0 auto;
    margin: 55px auto;
  }

  .ux div:nth-child(1) {
    width: 980px;
  }
  .cases {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1, 1fr;
    grid-gap: 1rem;
  }

  .des {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 2, 1fr;
    grid-gap: 3rem;
    align-items: start;
  }

  .des h3 {
    text-align: left;
    margin: 5px 0;
  }

  .des2 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 2, 1fr;
    grid-gap: 3rem;
    align-items: start;
  }

  .sec {
    display: flex;
    flex-flow: column;
  }

  .tags li {
    font-size: 14pt;
    font-weight: 300;
    list-style: none;
    line-height: 1.5;
    width: 225px;
    margin-left: 0;
    padding: 0;
  }

  .mvp {
    display: inline-flex;
    gap: 30px;
  }
  /*images*/
  .compet {
    max-width: 7000;
  }

  .next {
    max-width: fit-content;
    display: grid;
    grid-auto-flow: column;
    gap: 1em;
    align-items: start;
    justify-content: center;
  }
}
